<template>
  <div class="c-filters c-filters__wrapper">
    <div class="c-date__container">
      <label for="start_date">Start Date:</label>
      <input id="start_date" type="date" v-model="startDate" @change="handleFilterChange">
    </div>

    <div class="c-date__container">
      <label for="end_date">End Date:</label>
      <input id="end_date" type="date" v-model="endDate" @change="handleFilterChange">
    </div>
  </div>
</template>

<script>
import moment from "moment";

export default {
  name: "DateFilterComponent",

  data() {
    return {
      startDate: "",
      endDate: ""
    }
  },
  methods: {
    handleFilterChange() {
      if (!this.startDate || !this.endDate) {
        return;
      }

      const start = moment(this.startDate, "YYYY-MM-DD");
      const end = moment(this.endDate, "YYYY-MM-DD");
      if (start.isAfter(end)) {
        return;
      }

      this.$store.commit("filterChart", {
        startDate: start,
        endDate: end
      });
    }
  }

};
</script>